#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 17. Networking Libraries

- Prev

  GeoClue-2.7.1

- Next

  kdsoap-2.2.0

- Up
- Home

# glib-networking-2.78.0

## Introduction to GLib Networking

The GLib Networking package contains Network related gio modules for GLib.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/glib-networking/2.78/glib-networking-2.78.0.tar.xz

- Download MD5 sum: 402ff1e8f24dafb02354d9b66ffa11df

- Download size: 280 KB

- Estimated disk space required: 7.0 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### GLib Networking Dependencies

#### Required

GLib-2.78.4 and GnuTLS-3.8.3

#### Recommended

gsettings-desktop-schemas-45.0 (for the applications using this package to use proxy server settings in GNOME) and make-ca-1.13

#### Optional

libproxy

## Installation of GLib Networking

Install GLib Networking by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup            \
       --prefix=/usr       \
       --buildtype=release \
       -Dlibproxy=disabled \
       .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Program: None
Installed Libraries: libgiognomeproxy.so and libgiognutls.so (GIO Modules installed in `/usr/lib/gio/modules`)
Installed Directories: None

- Prev

  GeoClue-2.7.1

- Next

  kdsoap-2.2.0

- Up
- Home